# DirectoryToObjectBinder Class Reference

Inheritance diagram for DirectoryToObjectBinder:
[legend]

List of all members.

## Public Member Functions

| __construct (EntityProto $proto)
| setIdentityMap (DirectoryContext $identityMap)
| getIdentityMap ()
| cloneBuilder (EntityProto $proto)
| cloneInnerBuilder ($property)
| makeReverseBuilder ()
| make ($object, $recursive=true)
| Also try using plain limitedPropertiesList instead of limited hierarchy recursing.

## Static Public Member Functions

static | create (EntityProto $proto)

## Protected Member Functions

| initialize ($object, &$result)
| getGetter ($object)
| getSetter (&$object)

## Private Member Functions

| getRealObject ($object)

## Private Attributes

| $identityMap = null

## Detailed Description

Definition at line 12 of file DirectoryToObjectBinder.class.php.

## Constructor & Destructor Documentation

DirectoryToObjectBinder::__construct | ( | EntityProto $ | proto | ) |

Reimplemented from PrototypedBuilder.

Definition at line 24 of file DirectoryToObjectBinder.class.php.

## Member Function Documentation

DirectoryToObjectBinder::cloneBuilder | ( | EntityProto $ | proto | ) |

Returns:
  PrototypedBuilder

Reimplemented from PrototypedBuilder.

Definition at line 49 of file DirectoryToObjectBinder.class.php.

DirectoryToObjectBinder::cloneInnerBuilder | ( | $ | property | ) |

Reimplemented from PrototypedBuilder.

Definition at line 58 of file DirectoryToObjectBinder.class.php.

static DirectoryToObjectBinder::create | ( | EntityProto $ | proto | ) | `[static]`

Returns:
  FormToObjectConverter

Definition at line 19 of file DirectoryToObjectBinder.class.php.

Referenced by getRealObject(), and makeReverseBuilder().

DirectoryToObjectBinder::getGetter | ( | $ | object | ) | `[protected]`

Returns:
  FormGetter

Reimplemented from PrototypedBuilder.

Definition at line 110 of file DirectoryToObjectBinder.class.php.

DirectoryToObjectBinder::getIdentityMap | ( |  | ) |

Returns:
  DirectoryContext

Definition at line 41 of file DirectoryToObjectBinder.class.php.

DirectoryToObjectBinder::getRealObject | ( | $ | object | ) | `[private]`

Definition at line 123 of file DirectoryToObjectBinder.class.php.

References GenericUri::create(), and create().

Referenced by initialize(), and make().

Here is the call graph for this function:

DirectoryToObjectBinder::getSetter | ( | &$ | object | ) | `[protected]`

Returns:
  ObjectSetter

Reimplemented from PrototypedBuilder.

Definition at line 118 of file DirectoryToObjectBinder.class.php.

DirectoryToObjectBinder::initialize | ( | $ | object,
|  | &$ | result |
| ) |  |  | `[protected]`

Reimplemented from PrototypedBuilder.

Definition at line 96 of file DirectoryToObjectBinder.class.php.

References getRealObject().

Here is the call graph for this function:

DirectoryToObjectBinder::make | ( | $ | object,
|  | $ | recursive = `true` |
| ) |  |  |

Also try using plain limitedPropertiesList instead of limited hierarchy recursing.

Reimplemented from PrototypedBuilder.

Definition at line 77 of file DirectoryToObjectBinder.class.php.

References getRealObject(), and Assert::isTrue().

Here is the call graph for this function:

DirectoryToObjectBinder::makeReverseBuilder | ( |  | ) |

Returns:
  PrototypedBuilder

Reimplemented from PrototypedBuilder.

Definition at line 70 of file DirectoryToObjectBinder.class.php.

References create(), and setIdentityMap().

Here is the call graph for this function:

DirectoryToObjectBinder::setIdentityMap | ( | DirectoryContext $ | identityMap | ) |

Definition at line 31 of file DirectoryToObjectBinder.class.php.

Referenced by makeReverseBuilder().

## Member Data Documentation

DirectoryToObjectBinder::$identityMap = null`[private]`

Definition at line 14 of file DirectoryToObjectBinder.class.php.

The documentation for this class was generated from the following file:

- main/EntityProto/Builders/DirectoryToObjectBinder.class.php